{
  "schema_version": "1.4.0",
  "id": "GHSA-jhqh-84v8-3cw2",
  "modified": "2022-05-17T00:27:13Z",
  "published": "2022-05-17T00:27:13Z",
  "aliases": [
    "CVE-2017-12425"
  ],
  "details": "An issue was discovered in Varnish HTTP Cache 4.0.1 through 4.0.4, 4.1.0 through 4.1.7, 5.0.0, and 5.1.0 through 5.1.2. A wrong if statement in the varnishd source code means that particular invalid requests from the client can trigger an assert, related to an Integer Overflow. This causes the varnishd worker process to abort and restart, losing the cached contents in the process. An attacker can therefore crash the varnishd worker process on demand and effectively keep it from serving content - a Denial-of-Service attack. The specific source-code filename containing the incorrect statement varies across releases.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-12425"
    },
    {
      "type": "WEB",
      "url": "https://github.com/varnishcache/varnish-cache/issues/2379"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1477222"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.suse.com/show_bug.cgi?id=1051917"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-security-announce/2017/msg00186.html"
    },
    {
      "type": "WEB",
      "url": "https://www.varnish-cache.org/security/VSV00001.html#vsv00001"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3924"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-08-04T09:29:00Z"
  }
}